How do you know if you're in Devmode in RXTools 2.5.2? Trying to update to 9.0 from 6.0.

Discussion in '3DS - Flashcards & Custom Firmwares' started by Blue Lamb, Dec 28, 2015.

  1. Blue Lamb
    OP

    Blue Lamb GBAtemp Regular

    Member
    103
    19
    Apr 21, 2007
    United States
    When I launch rxTools through browser on my 6.0 U 2DS, I click Devmode then it boots into what appears to be SysNAND. But I can't launch Sysupdater because "This software could not be launched."

    Maybe I installed rxTools 2.5.2 wrong?

    I moved firmware.bin and rxtools.dat to the root of my SD card.

    I'm trying to install the latest rxTools 3.0 on a 2DS on FW6.0

    I have a Gateway but that's for my own 3DSXL.
     
    Last edited by Blue Lamb, Dec 28, 2015
  2. CrispyYoshi

    CrispyYoshi GBAtemp Advanced Maniac

    Member
    1,516
    502
    Mar 20, 2010
    United States
    Do you have slot0x25key.bin in your root? I'm not entirely sure, but I think that matters for firmwares lower than 7.x.

    Otherwise, maybe try running pasta mode in the latest nightly rxtools build. (Requires Python 2.7 for proper setup. Check the readme)
     
    Last edited by CrispyYoshi, Dec 28, 2015
  3. Blue Lamb
    OP

    Blue Lamb GBAtemp Regular

    Member
    103
    19
    Apr 21, 2007
    United States
  4. CrispyYoshi

    CrispyYoshi GBAtemp Advanced Maniac

    Member
    1,516
    502
    Mar 20, 2010
    United States
    I can't say for certain I know what the issue is, but I'm hoping the latest version of rxtools will solve your problem.

    Just remember that, instead of "launch.rxtools.net", you are loading "https://dukesrg.github.io/?rxTools/sys/code.bin". You also need the generated "firm" folder inside the sd:/rxtools/ folder
    if you want to use EmuNAND.
     
    Last edited by CrispyYoshi, Dec 28, 2015
  5. Blue Lamb
    OP

    Blue Lamb GBAtemp Regular

    Member
    103
    19
    Apr 21, 2007
    United States
    Thanks for your response.

    Alright so I was able to get the latest nightly rxTools booted into Pasta mode, but it still gives me the same error when I try to launch Sysupdater. I don't know if the sig checks are being patched or if that's even the problem.

    After I boot into Pasta mode, how can I confirm that I'm in Pasta? Maybe its just booting back into Vanilla SysNAND which doesn't allow the launch the software.

    I also have the slotx25keyx.bin on the root of my SD card.
     
  6. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,195
    1,003
    Jun 13, 2015
    United States
    California
    You ate booting to DEV Mode/Pasta Mode just fine with both versions. The problem is most likely you installed sysupdater wrongly.

    Did you use FBI? > Yes? Was the Destination set to NAND? > Yes? = Bad install.

    Destination has to be set to SD.
     
  7. Blue Lamb
    OP

    Blue Lamb GBAtemp Regular

    Member
    103
    19
    Apr 21, 2007
    United States
    In FBI, the Destination is set to SD, Mode: Install CIA.

    So I launched rxTools nightly, it installed succesfully but froze on the "Press any key to continue" screen.

    After turning it off the 2DS and trying again, it goes to a black screen on the touch screen, but shoes the RxTools splash screen on the top.
     
    Last edited by Blue Lamb, Dec 28, 2015
  8. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,195
    1,003
    Jun 13, 2015
    United States
    California
    The Destination will be always set to SD when you boot FBI, this doesn't mean it was set to SD when you installed something before.

    I want to clarify this because many "newcomers" tend to think:
    SD > Emunand
    NAND > Sysnand

    And end up installing GBA cias to the NAND thinking they are installing them properly in sysnand.

    So I suggest you to delete it and install it againg, making sure it is properly installed.
     
  9. honyo29

    honyo29 GBAtemp Fan

    Member
    303
    94
    Nov 27, 2014
    Indonesia
    you can rename or move firm folder/firmware.bin file beforehand, if you boot into sysnand, then you are in pasta/dev mode. otherwise, boot will fail because rxmode is trying to firmlaunch and failed to do so.
     
  10. Blue Lamb
    OP

    Blue Lamb GBAtemp Regular

    Member
    103
    19
    Apr 21, 2007
    United States
    Yeah, I think I'm going to give it a rest for tonight. I've run into issue after issue trying to follow that tutorial for 6-7 hours. I had an easier time setting up the Gateway on my o3DS XL.

    Hopefully tomorrow I can figure out why these things aren't working out. I'll probably just bump here with more questions if you guys can help.
     
  11. narutonic

    narutonic GBAtemp Regular

    Member
    233
    48
    Feb 21, 2015
    France
    Just to be sure for people FW under 7.X they need the slotx25keyx.bin to install the 9.2 update with sysupdater ?
     
  12. 2DSGamerdude

    2DSGamerdude GBAtemp Regular

    Member
    188
    26
    Apr 6, 2015
    Greece
    Gamecube Land
    you know that you're in dev mode because you clicked on the "dev mode" option in the 2.5.2 menu,
    plus, you can launch sys updater.cia or any app installed on sysnand whereas on the normal sysnand you can't launch other.cia apps.
     
  13. Hyura

    Hyura GBAtemp Fan

    Member
    399
    66
    Mar 23, 2013
    Brazil
    Would this be a reason for a brick?

    I installed rxtools 2.5.2 to a old 3DS, but I'm not sure I installed it to the SD.

    After using sysupdater in Dev Mode it bricked. Not sure what I did wrong.
     
  14. Ammako

    Ammako GBAtemp Guru

    Member
    6,424
    3,546
    Dec 22, 2009
    Canada
    slot0x25keyX.bin is only for loading an emunand 7.x or higher when sysnand is lower than 7.x
     
    Last edited by Ammako, Dec 28, 2015
  15. narutonic

    narutonic GBAtemp Regular

    Member
    233
    48
    Feb 21, 2015
    France
    Oh thanks. So it's useless for update with sysupdater.
     
  16. Blue Lamb
    OP

    Blue Lamb GBAtemp Regular

    Member
    103
    19
    Apr 21, 2007
    United States
    I solved my problem of not being able to Launch software (the .CIA installs of FBI and Sysupdater).

    I re-did everything, and instead of using GW 3.6.0, I switched to the older 3.4.1 firmware.
    I also went back to 2.5.2 rxTools but it probably would have worked with the latest nightly.

    I believe the problem was GW 3.6.0 Gateway SysNAND mode.
     
    CrispyYoshi likes this.